Package org.springframework.scheduling.config

# Class TaskExecutorFactoryBean

java.lang.Object
org.springframework.scheduling.config.TaskExecutorFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.FactoryBean<org.springframework.core.task.TaskExecutor>`, `org.springframework.beans.factory.InitializingBean`

public class TaskExecutorFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<org.springframework.core.task.TaskExecutor>, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean
`FactoryBean` for creating `ThreadPoolTaskExecutor` instances, primarily used behind the XML task namespace.

Since:
  3.0
Author:
  Mark Fisher, Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`TaskExecutorFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`void`
`destroy()`
`org.springframework.core.task.TaskExecutor`
`getObject()`
`Class<? extends org.springframework.core.task.TaskExecutor>`
`getObjectType()`
`boolean`
`isSingleton()`
`void`
`setBeanName(String beanName)`
`void`
`setKeepAliveSeconds(int keepAliveSeconds)`
`void`
`setPoolSize(String poolSize)`
`void`
`setQueueCapacity(int queueCapacity)`
`void`
`setRejectedExecutionHandler(RejectedExecutionHandler rejectedExecutionHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskExecutorFactoryBean

public TaskExecutorFactoryBean()

## Method Details

### setPoolSize

public void setPoolSize(String poolSize)

### setQueueCapacity

public void setQueueCapacity(int queueCapacity)

### setRejectedExecutionHandler

public void setRejectedExecutionHandler(RejectedExecutionHandler rejectedExecutionHandler)

### setKeepAliveSeconds

public void setKeepAliveSeconds(int keepAliveSeconds)

### setBeanName

public void setBeanName(String beanName)

Specified by:
  `setBeanName` in interface `org.springframework.beans.factory.BeanNameAware`

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### getObject

@Nullable public org.springframework.core.task.TaskExecutor getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.core.task.TaskExecutor>`

### getObjectType

public Class<? extends org.springframework.core.task.TaskExecutor> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.core.task.TaskExecutor>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.core.task.TaskExecutor>`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `org.springframework.beans.factory.DisposableBean`